"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error occurs when attempting to connect to the db server */
class ConnectionError extends _BaseError.default {
  constructor({
    message = 'Error connecting to DB Server'
  } = {}) {
    const name = 'ConnectionError';
    super(message, name);
  }
}
var _default = exports.default = ConnectionError;