"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _constants = require("../constants");
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error is encountered on the database server */
class DbServerError extends _BaseError.default {
  constructor(options) {
    const name = 'DbServerError';
    const message = 'message' in options ? options.message : Object.values(_constants.dbErrors).find(errorObj => errorObj.code === options.errorCode)?.message ?? 'Unknown database server error';
    super(message, name);
  }
}
var _default = exports.default = DbServerError;