"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when foreign key violations encountered when saving a document */
class ForeignKeyValidationError extends _BaseError.default {
  /** Object containing details of validation errors */

  constructor({
    message = 'Foreign key violation(s) encountered while saving',
    foreignKeyValidationErrors,
    filename,
    recordId
  }) {
    const name = 'ForeignKeyValidationError';
    super(message, name);
    this.foreignKeyValidationErrors = foreignKeyValidationErrors;
    this.filename = filename;
    this.recordId = recordId;
  }
}
var _default = exports.default = ForeignKeyValidationError;