import BaseError from './BaseError';
interface InvalidParameterErrorConstructorOptions {
    message?: string;
    parameterName: string;
}
/** Error thrown when a function is passed an invalid parameter */
declare class InvalidParameterError extends BaseError {
    /** Name of the parameter that was invalid */
    readonly parameterName: string;
    constructor({ message, parameterName, }: InvalidParameterErrorConstructorOptions);
}
export default InvalidParameterError;
