"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when the db server has an invalid feature set */
class InvalidServerFeaturesError extends _BaseError.default {
  constructor({
    message = 'Invalid feature set on db server'
  } = {}) {
    const name = 'InvalidServerFeaturesError';
    super(message, name);
  }
}
var _default = exports.default = InvalidServerFeaturesError;