import type { AxiosError } from 'axios';
import BaseError from './BaseError';
interface MvisErrorConstructorOptions {
    message?: string;
}
/** Error thrown when an error occurs when communicating with the connection manager */
declare class MvisError extends BaseError {
    constructor(cause: AxiosError, { message }?: MvisErrorConstructorOptions);
}
export default MvisError;
