import BaseError from './BaseError';
interface RecordLockedErrorConstructorOptions {
    message?: string;
    filename: string;
    recordId: string;
}
/** Error thrown when an error occurs due to a record being locked which prevented update */
declare class RecordLockedError extends BaseError {
    readonly filename: string;
    readonly recordId: string;
    constructor({ message, filename, recordId, }: RecordLockedErrorConstructorOptions);
}
export default RecordLockedError;
