import BaseError from './BaseError';
interface RecordNotFoundErrorConstructorOptions {
    message?: string;
    filename: string;
    recordId: string;
}
/** Error thrown when an error occurs due to a record not being found */
declare class RecordNotFoundError extends BaseError {
    readonly filename: string;
    readonly recordId: string;
    constructor({ message, filename, recordId, }: RecordNotFoundErrorConstructorOptions);
}
export default RecordNotFoundError;
