"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error occurs due to a record not being found */
class RecordNotFoundError extends _BaseError.default {
  constructor({
    message = 'Database record not found',
    filename,
    recordId
  }) {
    const name = 'RecordNotFoundError';
    super(message, name);
    this.filename = filename;
    this.recordId = recordId;
  }
}
var _default = exports.default = RecordNotFoundError;