import BaseError from './BaseError';
interface RecordVersionErrorConstructorOptions {
    message?: string;
    filename: string;
    recordId: string;
}
/** Error thrown when an error occurs due to a record having changed since it was read which prevented update */
declare class RecordVersionError extends BaseError {
    readonly filename: string;
    readonly recordId: string;
    constructor({ message, filename, recordId, }: RecordVersionErrorConstructorOptions);
}
export default RecordVersionError;
