"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
// #region Types

// #endregion

class TimeoutError extends _BaseError.default {
  constructor(cause, {
    message = 'The request to the DB server timed out'
  } = {}) {
    const name = 'TimeoutError';
    super(message, name);
    this.cause = cause;
  }
}
var _default = exports.default = TimeoutError;