"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when data cannot be transformed from multivalue format */
class TransformDataError extends _BaseError.default {
  /** Class instance performing transformation */

  /** Original value that failed transformation */

  constructor({
    message = 'Error transforming data from multivalue format',
    transformClass,
    transformValue
  }) {
    const name = 'TransformDataError';
    super(message, name);
    this.transformClass = transformClass;
    this.transformValue = transformValue;
  }
}
var _default = exports.default = TransformDataError;