"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
// #region Types

// #endregion

class UnknownError extends _BaseError.default {
  constructor(cause, {
    message = 'An unknown error has occurred'
  } = {}) {
    const name = 'UnknownError';
    super(message, name);
    this.cause = cause;
  }
}
var _default = exports.default = UnknownError;