"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _utils = require("../utils");
var _BaseSchemaType = _interopRequireDefault(require("./BaseSchemaType"));
/** Abstract Base Type for all scalar arrays */
class BaseScalarArrayType extends _BaseSchemaType.default {
  /** A schemaType representing the type of the array's contents */

  constructor(valueSchemaType) {
    super();
    this.valueSchemaType = valueSchemaType;
  }

  /** Cast to array type */
  cast(value) {
    return value != null ? (0, _utils.ensureArray)(value) : [];
  }
}
var _default = exports.default = BaseScalarArrayType;