import type { DataTransformer } from '../types';
declare class StringDataTransformer implements DataTransformer {
    /** Array of allowed enumerations */
    private readonly enum;
    constructor(enumList?: readonly string[]);
    /** Transform mv string to js string */
    transformFromDb(value: null): null;
    transformFromDb(value: unknown): string;
    /** Transform js string to mv string */
    transformToDb(value: null): null;
    transformToDb(value: unknown): string;
    /** Transform query constants to the format schema */
    transformToQuery(value: unknown): string;
}
export default StringDataTransformer;
