/** Base error class for this module - all other errors should inherit from it */
declare abstract class BaseError extends Error {
    /** Source of the error - always "mvom" */
    readonly source = "mvom";
    protected constructor(message: string, name: string);
}
export default BaseError;
