import type { DbErrorCodes } from '../constants';
import BaseError from './BaseError';
interface DbServerErrorConstructorOptionsMessage {
    message: string;
}
interface DbServerErrorConstructorOptionsCode {
    errorCode: DbErrorCodes;
}
type DbServerErrorConstructorOptions = DbServerErrorConstructorOptionsMessage | DbServerErrorConstructorOptionsCode;
/** Error thrown when an error is encountered on the database server */
declare class DbServerError extends BaseError {
    constructor(options: DbServerErrorConstructorOptions);
}
export default DbServerError;
