"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when a function is passed an invalid parameter */
class InvalidParameterError extends _BaseError.default {
  /** Name of the parameter that was invalid */

  constructor({
    message = 'Invalid parameter passed to function',
    parameterName
  }) {
    const name = 'InvalidParameterError';
    super(message, name);
    this.parameterName = parameterName;
  }
}
var _default = exports.default = InvalidParameterError;