"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error occurs when communicating with the connection manager */
class MvisError extends _BaseError.default {
  constructor(cause, {
    message = 'Error in MVIS communication'
  } = {}) {
    const name = 'MvisError';
    super(message, name);
    this.cause = cause;
  }
}
var _default = exports.default = MvisError;