"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error occurs due to a record being locked which prevented update */
class RecordLockedError extends _BaseError.default {
  constructor({
    message = 'Record is locked and cannot be updated',
    filename,
    recordId
  }) {
    const name = 'RecordLockedError';
    super(message, name);
    this.filename = filename;
    this.recordId = recordId;
  }
}
var _default = exports.default = RecordLockedError;