"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseError = _interopRequireDefault(require("./BaseError"));
/** Error thrown when an error occurs due to a record having changed since it was read which prevented update */
class RecordVersionError extends _BaseError.default {
  constructor({
    message = 'Record has changed since it was read and cannot be updated',
    filename,
    recordId
  }) {
    const name = 'RecordVersionError';
    super(message, name);
    this.filename = filename;
    this.recordId = recordId;
  }
}
var _default = exports.default = RecordVersionError;