import type BaseScalarType from './BaseScalarType';
import BaseSchemaType from './BaseSchemaType';
/** Abstract Base Type for all scalar arrays */
declare abstract class BaseScalarArrayType extends BaseSchemaType {
    /** A schemaType representing the type of the array's contents */
    protected readonly valueSchemaType: BaseScalarType;
    protected constructor(valueSchemaType: BaseScalarType);
    /** Cast to array type */
    cast(value: unknown): unknown[];
}
export default BaseScalarArrayType;
