import { BooleanDataTransformer } from '../dataTransformers';
import type { ScalarTypeConstructorOptions } from './BaseScalarType';
import BaseScalarType from './BaseScalarType';
import type { SchemaTypeDefinitionBase } from './BaseSchemaType';
export interface SchemaTypeDefinitionBoolean extends SchemaTypeDefinitionBase {
    type: 'boolean';
}
/** Boolean Schema Type */
declare class BooleanType extends BaseScalarType {
    /** Data transformer */
    protected readonly dataTransformer: BooleanDataTransformer;
    constructor(definition: SchemaTypeDefinitionBoolean, options?: ScalarTypeConstructorOptions);
}
export default BooleanType;
