"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const ensureArray = value => {
  if (Array.isArray(value)) {
    return [...value];
  }
  if (typeof value === 'undefined') {
    return [];
  }

  // TODO: This cast is needed until Array.isArray can narrow readonly arrays correctly
  // https://github.com/microsoft/TypeScript/issues/17002
  return [value];
};
var _default = exports.default = ensureArray;